Subject: [PEPPERMINT] Data model for "reachability data" and naming/terminology for group of addresses

From: "Jean-Francois Mule" <[email-masked]>
Date: Thu, 26 Jun 2008 08:35:00 -0600

In draft-mule-peppermint-espp-protocol-01.txt, a data model is
proposed Figure 3.  Otmar and a number of folks have commented on the
list that the 'bottom' part of data model (the grouping of user
addresses, PSTN prefixes, or anything that be logically attached to a
SIP route/domain) seems to make some sense for some use cases.  The
upper part is where folks see different solutions.

We're updating the draft to integrate comments received from the list
and fix a few issues we found.
1) We're changing LRNs (US, PSTN centric to Penn and Otmar's point) to
use prefix.
David et al. have chosen prefix in their problem statement draft and
this describes something that's close to LRNs, yet more generally
applicable.
2) We're also renaming "Service Areas" to "AddressGroup" for a lack of a
better term

Comments welcome.  You should also see some responses in the coming
weeks on the other threads re: espp comments.

Jean-Francois.

_______________________________________________
PEPPERMINT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/peppermint

---

From: [email-masked]
Date: Thu, 26 Jun 2008 15:48:55 +0100

> 2) We're also renaming "Service Areas" to "AddressGroup" for a lack of a

Jean-Francois,

Can you elaborate on what a "Service Area" / "Address Group" actually is?

In the UK for our Central Numbering Database we've developed a concept of 
a "Destination Group" - that being all those numbers (or destinations) 
which are supposed to be routed identically.  Is that the same thing?

Note however that this does not mean that every originating carrier has to 
route them to the same place as every other carrier.

For example if Carrier A (a terminating carrier) has:

  DG1 = (a, b)
  DG2 = (c, d)

then originating Carrier B routes destinations in DG1 to a particular 
interconnect, and routes DG2 to some other interconnect.  However Carrier 
C might have completely different interconnects with Carrier A.

In the UK model the actual interconnect addresses are private information 
bilaterally agreed between carriers.

kind regards,

Ray